Attribute VB_Name = "modMain"
'======================================================================================================
'Type       :- Module
'Name       :- modMain
'Work       :- Use as startup object, Open file

'Created by :- Sanjaya Rathugama.
'E-mail     :- sanjayapr@hotmail.com
'Created _
 Date       :-
 
'***** NOTE :- If you have any quation with this programme, please
'              e-mail me to my e-mail address.
'======================================================================================================


'All Project Public Variables In Here.

'Declare class modules
Public gclsMain         As New clsMain
Public gclsDatForm      As New clsDatForm
Public gclsDbExplorer   As New clsDbExplorer

'Variable for CommonDialog control
Public cdl              As New CommonDialog

'Sring variables
Public gsSql_Editor_SQL As String
Public gsTable_Name     As String
Public gsSQL_TblName    As String
Public gsSelectedNode   As String

'Menu type variables
Public mnuEdit_Ed       As Menu

'Treeview type  variables in here.
Public tvwTblExplorer   As TreeView
Public tvwQuaryExplorer As TreeView

'Work with API
Public Declare Function SetWindowPos Lib "user32" _
                (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, _
                ByVal x As Long, ByVal y As Long, ByVal cx As Long, _
                ByVal cy As Long, ByVal wFlags As Long) As Long

Private Sub Main()

'When database is not open.
gclsMain.gDb_Opend = False

'Work with MDI form
frmMdiDbExplorer.Show
frmMdiDbExplorer.WindowState = 2

End Sub

Public Sub cdl_Open()
'======= This sub use to choos mdb file and also to open it. =============
On Error GoTo ErrorHandle 'For error error traping

'------------- Work with CommonDialog control ----------------------------

'--------------------------------------------------------
'When we set CancelError property is true,
'if a user  press Cancel   button  without
'choosing a file then CommonDialog control
'create  an   error    called  CancelError.

'To prevent that error we have to use
'errorhandler.
'--------------------------------------------------------
cdl.CancelError = True

'Filter access databases from other
'files.
cdl.Filter = "*.mdb|*.mdb"

'Choose mdb file
cdl.DialogTitle = "Choose DataBase."
cdl.ShowOpen
'-------------------------------------------------------------------------

'Store chosen file name and path
gclsMain.gsPath = cdl.FileName

'Show loadin form
frmLoading.Show vbModal

'Add controls to treeviews in explorer form. That makes
'explorer form more independent from others.
Set tvwTblExplorer = frmDbExplorer.tvwTblExplorer
Set tvwQuaryExplorer = frmDbExplorer.tvwQuaryExplorer

'Close explorere form befor load it
Unload frmDbExplorer

'Show explorer tool windows
frmDbExplorer.Show

Exit Sub

ErrorHandle:
End Sub
