VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsDbExplorer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'======================================================================================================
'Type       :- Class Module
'Name       :- clsDbExplorer
'Work       :- Populate Treeviews

'Created by :- Sanjaya Rathugama.
'E-mail     :- sanjayapr@hotmail.com
'Created _
 Date       :-
 
'======================================================================================================
Option Explicit
'Private variables in here.

'Integer variables
Private nFieldCount As Integer

'String variables
Private sTbl_Type   As String

Public Sub Fill_Tree(gsSql_Editor_SQL As String, gClsMain As clsMain, _
                tvwTblExplorer, tvwQuaryExplorer, tvwChild, resOpen, ResField, _
                nTable As Integer)
'================= Use to populate treeviews with Table & Views ===================================

On Error Resume Next 'Forget error by executin next line.

gsSql_Editor_SQL = "Cleared"

'Set recordset (resOpen) for Tables & Views.
Set resOpen = gClsMain.gCnn.OpenSchema(adSchemaTables)

'-----------------Format treeviews ----------------------------------------------------------------
'Add main roots to tree views
tvwTblExplorer.Nodes.Add , , "DataBase", "DataBase", "DBase"
tvwQuaryExplorer.Nodes.Add , , "DataBase", "DataBase", "DBase"
'--------------------------------------------------------------------------------------------------

'Do until not recordset's end of file
While Not resOpen.EOF = True
    'Skip 'Msys' Tables and temporary views that are created by Access.
    If Not Left(UCase(resOpen!Table_Name), 4) = "MSYS" And _
       Not Left(UCase(resOpen!Table_Name), 3) = "~SQ" Then
        
'---------------- Fill Tables Tree ----------------------------------------------------------------
        'Filter only Tables
        If UCase(resOpen!Table_Type) = "TABLE" Then
            
            'Add current Table name to Tables tree
            tvwTblExplorer.Nodes.Add "DataBase", tvwChild, "Table" & nTable, _
                                                    resOpen!Table_Name, "Table"

            'SQL for populate Table tree with fields of particular Table.
            gClsMain.gsSQL = "SELECT * FROM [" & resOpen!Table_Name & "]"
            'Open recordset
            ResField.Open gClsMain.gsSQL, gClsMain.gCnn, adOpenStatic, adLockOptimistic 'Count _
                                                                                    Fields.
            'Populate Table tree with fields of particular Table.
            For nFieldCount = 0 To ResField.Fields.Count - 1
                tvwTblExplorer.Nodes.Add "Table" & nTable, tvwChild, _
                        , ResField(nFieldCount).Name, "Field"
            Next
            
            'Close recordset
            ResField.Close
'------------------------------------------------------------------------------------------------------
'---------------- Fill Quaries Tree -------------------------------------------------------------------
        
        'Filter only Views
        ElseIf UCase(resOpen!Table_Type) = "VIEW" Then
            
            'Add current View name to Views tree
            tvwQuaryExplorer.Nodes.Add "DataBase", tvwChild, "Quary" & nTable, _
                                        resOpen!Table_Name, "Quary"
            
            'SQL for populate View tree with fields of particular View.
            gClsMain.gsSQL = "SELECT * FROM [" & resOpen!Table_Name & "]"

            'Open recordset
            ResField.Open gClsMain.gsSQL, gClsMain.gCnn, adOpenStatic, _
                        adLockOptimistic
            
            'Populate View tree with fields of particular View.
            For nFieldCount = 0 To ResField.Fields.Count - 1
                tvwQuaryExplorer.Nodes.Add "Quary" & nTable, tvwChild, _
                        , ResField(nFieldCount).Name, "Field"
            Next
            
            'Close recordset
            ResField.Close
'------------------------------------------------------------------------------------------------------
        End If
    End If

    'Counter of nodes
    nTable = nTable + 1
    
    'Move to next record
    resOpen.MoveNext
Wend
'Close recordset
resOpen.Close

'Expand treeviews first nodes
tvwTblExplorer.Nodes(1).Expanded = True
tvwQuaryExplorer.Nodes(1).Expanded = True

End Sub


