VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmDbExplorer 
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "DataBase Explorer"
   ClientHeight    =   5925
   ClientLeft      =   60
   ClientTop       =   270
   ClientWidth     =   3030
   Icon            =   "frmDbExplorer.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   MinButton       =   0   'False
   ScaleHeight     =   5925
   ScaleWidth      =   3030
   ShowInTaskbar   =   0   'False
   Begin MSComctlLib.TreeView tvwTblExplorer 
      Height          =   4695
      Left            =   0
      TabIndex        =   2
      Top             =   480
      Width           =   2895
      _ExtentX        =   5106
      _ExtentY        =   8281
      _Version        =   393217
      Style           =   7
      FullRowSelect   =   -1  'True
      SingleSel       =   -1  'True
      ImageList       =   "imlDbExWindow"
      BorderStyle     =   1
      Appearance      =   1
   End
   Begin MSComctlLib.TreeView tvwQuaryExplorer 
      Height          =   4695
      Left            =   45
      TabIndex        =   1
      Top             =   480
      Width           =   2895
      _ExtentX        =   5106
      _ExtentY        =   8281
      _Version        =   393217
      Style           =   7
      ImageList       =   "imlDbExWindow"
      Appearance      =   1
   End
   Begin MSComctlLib.TabStrip tabExplorer 
      Height          =   5175
      Left            =   0
      TabIndex        =   0
      Top             =   120
      Width           =   3015
      _ExtentX        =   5318
      _ExtentY        =   9128
      MultiRow        =   -1  'True
      _Version        =   393216
      BeginProperty Tabs {1EFB6598-857C-11D1-B16A-00C0F0283628} 
         NumTabs         =   2
         BeginProperty Tab1 {1EFB659A-857C-11D1-B16A-00C0F0283628} 
            Caption         =   "     Tables     "
            Key             =   "Tables"
            ImageVarType    =   2
         EndProperty
         BeginProperty Tab2 {1EFB659A-857C-11D1-B16A-00C0F0283628} 
            Caption         =   "     Quaries     "
            Key             =   "Quaries"
            ImageVarType    =   2
         EndProperty
      EndProperty
   End
   Begin MSComctlLib.ImageList imlDbExWindow 
      Left            =   720
      Top             =   2520
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   16
      ImageHeight     =   16
      MaskColor       =   12632256
      _Version        =   393216
      BeginProperty Images {2C247F25-8591-11D1-B16A-00C0F0283628} 
         NumListImages   =   4
         BeginProperty ListImage1 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmDbExplorer.frx":058A
            Key             =   "DBase"
         EndProperty
         BeginProperty ListImage2 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmDbExplorer.frx":0C86
            Key             =   "Quary"
         EndProperty
         BeginProperty ListImage3 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmDbExplorer.frx":156E
            Key             =   "Table"
         EndProperty
         BeginProperty ListImage4 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmDbExplorer.frx":1C6A
            Key             =   "Field"
         EndProperty
      EndProperty
   End
   Begin VB.Line linRight 
      BorderColor     =   &H80000005&
      X1              =   2880
      X2              =   2880
      Y1              =   5520
      Y2              =   6000
   End
   Begin VB.Line linLeft 
      BorderColor     =   &H80000003&
      X1              =   120
      X2              =   120
      Y1              =   5520
      Y2              =   6000
   End
   Begin VB.Line linBottom 
      BorderColor     =   &H80000005&
      X1              =   120
      X2              =   2880
      Y1              =   6000
      Y2              =   6000
   End
   Begin VB.Line linTop 
      BorderColor     =   &H80000003&
      X1              =   120
      X2              =   2880
      Y1              =   5520
      Y2              =   5520
   End
End
Attribute VB_Name = "frmDbExplorer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'======================================================================================================
'Type       :- Form
'Name       :- frmDbExplorer
'Work       :- Show all Tables and Views

'Created by :- Sanjaya Rathugama.
'E-mail     :- sanjayapr@hotmail.com
'Created _
 Date       :-
'======================================================================================================

Option Explicit

'Private variables in here.

'Ado recordset
Private ResOpen  As New ADODB.Recordset
Private ResField As New ADODB.Recordset

'Integer variables
Private nTable   As Integer

'Menu type variables
Private mnu_Context_Menu As Menu

Private Sub Form_Load()

'This will create menu control for context menu.
Set mnu_Context_Menu = frmMdiDbExplorer.mnu_Context_Menu

'Order to dll_datform server to fill treeviews with Tables
'& Views.
gclsDbExplorer.Fill_Tree gsSql_Editor_SQL, gclsMain, tvwTblExplorer, _
                         tvwQuaryExplorer, tvwChild, ResOpen, ResField, _
                         nTable

Width = 4000 'Opening width

'Show edit menu after populate treeviews in the explorer
'tool window.
mnuEdit_Ed.Visible = True

End Sub

Private Sub Form_Resize()
'=========== This sub will move all objects in the explorer tool window _
                                        when it has resize. ====================================

'Move tab
tabExplorer.Move 10, 200, Width - 150, Height - 1200

'Move treeviwes
tvwQuaryExplorer.Move 60, 550, Width - 250, Height - 1700
tvwTblExplorer.Move 60, 550, Width - 250, Height - 1700

'---- Move lines that are use to create tip text box.---------------------------------------------

'Upper horizontal line
linTop.X1 = 20
linTop.X2 = Width - 160
linTop.Y1 = tabExplorer.Top + tabExplorer.Height + 50
linTop.Y2 = tabExplorer.Top + tabExplorer.Height + 50

'Lower horizontal line
linBottom.X1 = 20
linBottom.X2 = Width - 150
linBottom.Y1 = tabExplorer.Top + tabExplorer.Height + 650
linBottom.Y2 = tabExplorer.Top + tabExplorer.Height + 650

'Left vertical line
linLeft.X1 = 20
linLeft.X2 = 20
linLeft.Y1 = tabExplorer.Top + tabExplorer.Height + 50
linLeft.Y2 = tabExplorer.Top + tabExplorer.Height + 650

'Right vertical line
linRight.X1 = Width - 150
linRight.X2 = Width - 150
linRight.Y1 = tabExplorer.Top + tabExplorer.Height + 50
linRight.Y2 = tabExplorer.Top + tabExplorer.Height + 670

End Sub

Private Sub tabExplorer_Click()
'That makes when  user click  tables tab,
'tables tree  become visible  and   other
'tree become  invisible. We can  do  this
'work by bringing  particular treeview to
'front and send other t reeview  to  back.

'If we make Zorder 0 of an object then it
'will come to front.

'If we make Zorder 1 of an object then it
'will go to back.

'So Zorder is useful method to bing object
'to front and sent to it back.

If tabExplorer.SelectedItem.Key = "Tables" Then
    tvwTblExplorer.ZOrder 0
    tvwQuaryExplorer.ZOrder 1
Else
    tvwQuaryExplorer.ZOrder 0
    tvwTblExplorer.ZOrder 1
End If


End Sub

Private Sub tvwQuaryExplorer_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)

If Button = 2 And Left(UCase(tvwQuaryExplorer.SelectedItem.Key), 5) = "QUARY" Then
    'Store selected item's key from Tables treeview.
    gsSelectedNode = tvwQuaryExplorer.SelectedItem.Text
    'Show popup menu.
    PopupMenu mnu_Context_Menu
End If

End Sub

Private Sub tvwTblExplorer_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)

If Button = 2 And Left(UCase(tvwTblExplorer.SelectedItem.Key), 5) = "TABLE" Then
    'Store selected item's key from Qeries treeview.
    gsSelectedNode = tvwTblExplorer.SelectedItem.Text
    'Show popup menu
    PopupMenu mnu_Context_Menu
End If

End Sub
Private Sub tvwQuaryExplorer_NodeClick(ByVal Node As MSComctlLib.Node)

'Store selected item's key from Tables treeview.
gsSelectedNode = tvwQuaryExplorer.SelectedItem.Text

End Sub
Private Sub tvwTblExplorer_NodeClick(ByVal Node As MSComctlLib.Node)

'Store selected item's key from Qeries treeview.
gsSelectedNode = tvwTblExplorer.SelectedItem.Text

End Sub
