VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmSQLEditor 
   Caption         =   "SQL Editor"
   ClientHeight    =   4020
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7245
   Icon            =   "frmSQLEditor.frx":0000
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   4020
   ScaleWidth      =   7245
   Begin VB.TextBox txtSQLEditor 
      BeginProperty Font 
         Name            =   "Fixedsys"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3135
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   2
      TabStop         =   0   'False
      Tag             =   "1"
      Top             =   720
      Width           =   7215
   End
   Begin MSComctlLib.ImageList imlSQLEditor 
      Left            =   2640
      Top             =   2040
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   32
      ImageHeight     =   32
      MaskColor       =   12632256
      _Version        =   393216
      BeginProperty Images {2C247F25-8591-11D1-B16A-00C0F0283628} 
         NumListImages   =   4
         BeginProperty ListImage1 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmSQLEditor.frx":164A
            Key             =   "Clean"
         EndProperty
         BeginProperty ListImage2 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmSQLEditor.frx":2526
            Key             =   "Run"
         EndProperty
         BeginProperty ListImage3 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmSQLEditor.frx":3402
            Key             =   "Grid"
         EndProperty
         BeginProperty ListImage4 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmSQLEditor.frx":3AFE
            Key             =   "Exit"
         EndProperty
      EndProperty
   End
   Begin MSComctlLib.Toolbar tbrSQLEditor 
      Align           =   1  'Align Top
      Height          =   660
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   7245
      _ExtentX        =   12779
      _ExtentY        =   1164
      ButtonWidth     =   1032
      ButtonHeight    =   1005
      Appearance      =   1
      ImageList       =   "imlSQLEditor"
      _Version        =   393216
      BeginProperty Buttons {66833FE8-8583-11D1-B16A-00C0F0283628} 
         NumButtons      =   8
         BeginProperty Button1 {66833FEA-8583-11D1-B16A-00C0F0283628} 
            Enabled         =   0   'False
            Style           =   3
         EndProperty
         BeginProperty Button2 {66833FEA-8583-11D1-B16A-00C0F0283628} 
            Key             =   "Exit"
            Object.ToolTipText     =   "Exit"
            ImageKey        =   "Exit"
         EndProperty
         BeginProperty Button3 {66833FEA-8583-11D1-B16A-00C0F0283628} 
            Style           =   3
         EndProperty
         BeginProperty Button4 {66833FEA-8583-11D1-B16A-00C0F0283628} 
            Key             =   "Type"
            Object.ToolTipText     =   "Type (Grid or Form)"
            ImageKey        =   "Grid"
            Style           =   1
         EndProperty
         BeginProperty Button5 {66833FEA-8583-11D1-B16A-00C0F0283628} 
            Style           =   3
         EndProperty
         BeginProperty Button6 {66833FEA-8583-11D1-B16A-00C0F0283628} 
            Key             =   "Clean"
            Object.ToolTipText     =   "Clean SQL Statement"
            ImageKey        =   "Clean"
         EndProperty
         BeginProperty Button7 {66833FEA-8583-11D1-B16A-00C0F0283628} 
            Style           =   3
         EndProperty
         BeginProperty Button8 {66833FEA-8583-11D1-B16A-00C0F0283628} 
            Key             =   "Run"
            Object.ToolTipText     =   "Run (F5)"
            ImageKey        =   "Run"
         EndProperty
      EndProperty
      Begin VB.PictureBox Picture1 
         Appearance      =   0  'Flat
         BackColor       =   &H80000004&
         BorderStyle     =   0  'None
         ForeColor       =   &H80000008&
         Height          =   615
         Left            =   3000
         ScaleHeight     =   615
         ScaleWidth      =   1095
         TabIndex        =   1
         Top             =   0
         Width           =   1095
         Begin VB.Image Image1 
            Height          =   720
            Left            =   240
            Picture         =   "frmSQLEditor.frx":49DA
            Top             =   -75
            Width           =   720
         End
      End
   End
End
Attribute VB_Name = "frmSQLEditor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'======================================================================================================
'Type       :- Form
'Name       :- frmSQLEditor
'Work       :- Work SQL Editor window

'Created by :- Sanjaya Rathugama.
'E-mail     :- sanjayapr@hotmail.com
'Date _
 created      :-
'======================================================================================================

Option Explicit

'Private variables in here.

'String type variables
Private sSQL_Hold      As String 'Hold SQL string while filtering.
Private sSQL_Ed_String As String 'Filtered String.

'Boolean type variables
Private bError       As Boolean
Private but_toolType As Boolean

'Private constant here.
Const errMsg_Scol = "ERROR:- Missing "";"" "


Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)

'Execute SQL statement when F5 pressed( Forcus :- Form)
If KeyCode = 116 Then
    'Check SQL window empty or not
    If txtSQLEditor = "" Then
        MsgBox "Invlid SQL statement.", vbExclamation, Caption
        Exit Sub
    End If
    
    'Run SQL
    sSQL_Ed_String = txtSQLEditor
    SQL_Run
End If

End Sub

Private Sub Form_Load()
'Show default SQL with selected Table or View
Load_Txt

'Mode (Form view)
but_toolType = False
End Sub

Private Sub Form_Resize()
'Resize textbox (SQL window)
txtSQLEditor.Move 10, tbrSQLEditor.Height + 20, Width - 150, Height - 1200
End Sub

Private Sub tbrSQLEditor_ButtonClick(ByVal Button As MSComctlLib.Button)

'Select button from toolbar
Select Case Button.Key
    Case "Run"
        'Run SQL statement
        sSQL_Ed_String = txtSQLEditor
        SQL_Run
    Case "Clean"
        'Clear SQL window
        txtSQLEditor = vbNullString
    Case "Exit"
        'Exit
        Unload Me
    Case "Type"
        'Select Mode (Grid view/Form view)
        If Button.Value = tbrPressed Then
            but_toolType = True
        Else
            but_toolType = False
        End If
End Select
End Sub


Private Sub SQL_Run()
'============= Run SQL statement =======================================

'Forget error by executing next line
On Error Resume Next

'Check SQL window empty or not
If Len(txtSQLEditor) = 0 Then
    MsgBox "Invlid SQL statement.", vbExclamation, Caption
    Exit Sub
End If

'Search for semicolon
If Right(Left(sSQL_Ed_String, InStr(sSQL_Ed_String, ";")), 1) = ";" Then
    
    'Final SQL statement
    gsSql_Editor_SQL = Left(sSQL_Ed_String, InStr(sSQL_Ed_String, ";"))
    
    'Select Mode (Grid view/Form view)
    If but_toolType = False Then
        frmDataForm.Show
    Else
        frmGrid.Show
    End If
Else
    'If semicolo is lost
    Beep
    'Show message on SQL window
    txtSQLEditor = sSQL_Hold & vbCrLf & errMsg_Scol
End If

Exit Sub

End Sub

Private Sub txtSQLEditor_KeyDown(KeyCode As Integer, Shift As Integer)

'Execute SQL statement when F5 pressed( Forcus :- Textbox (SQL Window))
If KeyCode = 116 Then
    'Check SQL window empty or not
    If txtSQLEditor = "" Then
        MsgBox "Invlid SQL statement.", vbExclamation, Caption
        Exit Sub
    End If
    
    'Run SQL
    sSQL_Ed_String = txtSQLEditor
    SQL_Run
End If
End Sub

Private Sub txtSQLEditor_KeyPress(KeyAscii As Integer)
'================= This sub use to filter valid SQL statement ==================================

sSQL_Hold = txtSQLEditor

'Search for enter key
If KeyAscii = 13 Then
    
    'Remove garbage characters which are provide by 'Enter' key
    If Asc(Left(sSQL_Hold, 1)) = 13 Then
        'Find garbage characters which are provide by 'Enter' key
        While Asc(Left(sSQL_Hold, 1)) = 13
            sSQL_Hold = Right(sSQL_Hold, Len(sSQL_Hold) - 1)
        Wend
        'Filterd SQL statement
        sSQL_Hold = Right(sSQL_Hold, Len(sSQL_Hold) - 1)
    End If
        
    'Check for '/R' ( This SQL editor can execute SQL satement by typing _
                      /R at end of SQL statement.)
    If Right(Left(sSQL_Hold, InStr(sSQL_Hold, "/R") + 1), 2) = "/R" Or _
                     Right(Left(sSQL_Hold, InStr(sSQL_Hold, "/r") + 1), 2) = "/r" Then
        'Final SQL statement
        sSQL_Ed_String = sSQL_Hold
        'Run SQL
        SQL_Run
    End If
End If
End Sub

Private Sub Load_Txt()
'Default SQL statement
txtSQLEditor = "SELECT * FROM [" & gsSQL_TblName & "];"
End Sub

