VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'======================================================================================================
'Type       :- Class Module
'Name       :- clsMain
'Work       :- Connect Access database and open it with _
                                            ActiveX Data Object(ADO).

'DataBase _
 Types      :- Access97/Access2000
'Created by :- Sanjaya Rathugama.
'E-mail     :- sanjayapr@hotmail.com
'Created _
 Date       :-
'======================================================================================================

Option Explicit

'All public variable in here.

Public gCnn     As New ADODB.Connection 'ADO Connection
Public gCatalog As New ADOX.Catalog     'ADOX Catalog

'Boolean variables in here.
Public gDb_Opend  As Boolean

'String variables in here.
Public gsConnectionString As String
Public gsPath             As String
Public DB_Type            As String
Public gsSQL              As String

Public Sub Open_DataBase()
'========= This sub use to conect with particular database and to open it. =============================

On Error GoTo ErrorHandle 'Trap error.

'----------------------- Select database version(Access97/Access2000)-------------------------------------
Select Case DB_Type
    Case "Acs97"
        'Connection string for Access97 database
        gsConnectionString = "Provider=Microsoft.Jet.OLEDB.3.51;" _
                    & "Persist Security Info=False;Data Source="
    
    Case "Acs2000"
        'Connection string for Access2000 database
        gsConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;" _
                    & "Persist Security Info=False;Data Source="

    Case Else
        'If particular database is not access97 or access2000
        MsgBox "Unrecognize DataBase type.", vbExclamation + vbOKOnly, "DataBase Explorer."
End Select
'--------------------------------------------------------------------------------------------------------

'--------------------------------------------------------------------------------------------------------
'Check some database already  opened    or   not
'by this application. If some database   already
'opened by this application then that connection
'will close.
'--------------------------------------------------------------------------------------------------------
If gDb_Opend = True Then
    gCnn.Close
End If
'------------------ Open database -----------------------------------------------------------------------
gCnn.ConnectionString = gsConnectionString & gsPath

gCnn.CursorLocation = adUseClient
gCnn.Open
'--------------------------------------------------------------------------------------------------------

'When database is opened.
gDb_Opend = True

Exit Sub

ErrorHandle:
    MsgBox "Unable to open DataBase.", vbCritical, "DataBase Explorer"
    'When unable to open database.
    gDb_Opend = False

End Sub

